<comment>
  # 匹配页面
</comment>
<template>
  <div class="matching">
    <button @click="goback">返回</button>
    <iframe class=otherUrl :src="getUrl"
           >
    </iframe>
    <!--<p>-->
    <!--{{textdata}}-->
    <!--</p>-->
  </div>
</template>

<script>
  //import logo from '../../../static/logo.png'
  export default {
    name: 'matching',
    baseUrl: "https://www.yuyekeji.cn/games/",
    newUrl:"",
    components: {
      //Xgplayer :  () => import('../xgplayer'),
    },
    data() {
      return {}
    },
    //作为子组件的时候应用父组件的时候设定的变量
    props: {},
    //用来观察 方法 对象 变量 有变化 走的回调方法
    watch: {},
    //正常方法
    methods: {
      goback() {
        // this.$router.go(-1);
        this.utils.goRouterforPathGo(this, -1)
      },

    },
    //计算方法
    computed: {
      getUrl() {
        var newurl = "https://www.yuyekeji.cn/games/" + this.textdata.gameUrl
        console.log("应该是什么地址", newurl);
        return newurl
      }
    },
    //生命周期 渲染html之前 可以初始化数据
    created() {
      //获取上个页面的数据
      this.textdata = this.$route.query.data
      this.newUrl = this.baseUrl + this.textdata.gameUrl
      console.log("前面页面的数据是", this.textdata);

      var sendData = {
        data: {
          userId : this.utils.getAdmin(),
          id : this.textdata.id
        }
      }
      // this.utils.getListData(this,sendData);
      this.utils.createHistory(this, sendData);
    },

    //生命周期 渲染html完毕 可以dom操作
    mounted() {

    },
    //生命周期 离开这个页面
    destroyed() {

    }
  }
</script>

<style scoped>
  .otherUrl{
    width:100vw;
    height:100vh;
  }
</style>
